#ifndef FLUID_PIPE_HPP_
#define FLUID_PIPE_HPP_

#include <Block/SpriteBlock/PipelineBlock/PipelineBlock.hpp>

class FluidPipe : public PipelineBlock
{
public:
    FluidPipe(std::string name);

    virtual bool shouldConnectOnSide(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual Wiring& getWiringFor(Chunk &chunk) override;
};

#endif